package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterAllCity;
import com.lightinit.hsdatashow.entity.WaterAllCityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WaterAllCityMapper {
    long countByExample(WaterAllCityExample example);

    int deleteByExample(WaterAllCityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterAllCity record);

    int insertSelective(WaterAllCity record);

    List<WaterAllCity> selectByExample(WaterAllCityExample example);

    WaterAllCity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterAllCity record, @Param("example") WaterAllCityExample example);

    int updateByExample(@Param("record") WaterAllCity record, @Param("example") WaterAllCityExample example);

    int updateByPrimaryKeySelective(WaterAllCity record);

    int updateByPrimaryKey(WaterAllCity record);

    List<WaterAllCity> getWaterAllCity(int year);
}